This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 655455 - Typo in initscript
Typo in initscript
Status: ASSIGNED
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: postfix (Show other bugs)
6.0
All Unspecified
low Severity low
: rc
: ---
Assigned To: Jaroslav Škarvada
qe-baseos-daemons
: Patch
: 1029341 (view as bug list)
Depends On:
Blocks: 1356044
  Show dependency treegraph
 
Reported: 2010-11-20 21:16 EST by Zenon Panoussis
Modified: 2016-07-27 18:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Zenon Panoussis 2010-11-20 21:16:27 EST
Description of problem:

# service postfix restart
Shutting down postfix:                                     [  OK  ]
/etc/init.d/postfix: line 73: [: =: unary operator expected
Starting postfix:                                          [  OK  ]

Fix:

--- postfix.orig	2010-11-21 03:15:13.065945235 +0100
+++ postfix	2010-11-21 03:09:39.755070331 +0100
@@ -70,7 +70,7 @@
 start() {
 	[ "$EUID" != "0" ] && exit 4
 	# Check that networking is up.
-	[ ${NETWORKING} = "no" ] && exit 1
+	[ "${NETWORKING}" = "no" ] && exit 1
 	conf_check
 	# Start daemons.
 	echo -n $"Starting postfix: "
Comment 2 RHEL Product and Program Management 2011-01-07 10:45:59 EST
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.
Comment 3 Jaroslav Škarvada 2011-03-07 09:04:45 EST
Thanks.
Comment 4 RHEL Product and Program Management 2011-07-05 19:45:29 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.
Comment 6 Suzanne Yeghiayan 2012-02-14 18:04:48 EST
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.
Comment 8 RHEL Product and Program Management 2012-09-07 01:01:19 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.
Comment 9 Jaroslav Škarvada 2014-12-01 12:02:09 EST
*** Bug 1029341 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.